net.sourceforge.pmd.lang.java.dfa

## Class JavaDataFlowNode

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.AbstractDataFlowNode
  - - net.sourceforge.pmd.lang.java.dfa.JavaDataFlowNode

All Implemented Interfaces:
  DataFlowNode

    public class JavaDataFlowNode
    extends AbstractDataFlowNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.dfa.AbstractDataFlowNode

`children, dataFlow, line, node, parents, type, typeMap, variableAccess`

### Constructor Summary

Constructors
Constructor and Description
`JavaDataFlowNode(List<DataFlowNode> dataFlow, Node node)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class net.sourceforge.pmd.lang.dfa.AbstractDataFlowNode

`addPathToChild, getChildren, getFlow, getIndex, getLine, getNode, getParents, getVariableAccess, isType, removePathToChild, reverseParentPathsTo, setType, setVariableAccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JavaDataFlowNode

    public JavaDataFlowNode(List<DataFlowNode> dataFlow,
                    Node node)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractDataFlowNode`